Sortie de PyQt 5.0.1
Le binding supporte dorénavant l'API de Qt 5.1 et Qt Quick 2 au complet

Le , par Jiyuu, Rédacteur/Modérateur
Sortie de PyQt4.10.3 et PyQt5.0.1
Le binding Qt pour Python de Riverbank poursuit son évolution.


Le 21 août dernier, Riverbank annonçait la sortie des nouvelles moutures de PyQt 4 et PyQt 5, à peine deux moins après la sortie des précédentes.

PyQt4
La nouvelle version de PyQt 4 est principalement une version de maintenance corrigeant quelques bogues mineurs.

Pour les utilisateurs Windows (32 bits et 64 bits), l’exécutable d’installation PyQt4 est disponible dans les versions suivantes :
  • Python 2.7 + Qt4.8.5 ;
  • Python 3.3 + Qt4.8.5 ;
  • Python 3.3 + Qt5.1.0.

Une version de PyQt4 est bien basée sur Qt 5, sans pour autant contenir toute les spécificités de celui-ci (pas de Qt Widgets, Qt QML ou Qt Quick, notamment, seule l'API de Qt 4 est disponible).

PyQt5
Les grosses nouveautés sont pour PyQt5, qui est désormais basé sur Qt 5.1 sorti le 3 juillet dernier.
Parmi ces grandes nouveautés, le développeur pourra se réjouir entre autres de voir arriver le support complet de QML et Quick2.
Les modules QtQML et QtQuick ont ainsi été ajoutés à cette mouture.
La liste complète des nouveautés est visible sur le site de Riverbank.

Le seul regret que nous pourrions avoir réside dans le fait que les installateurs Windows pour la branche 2 de Python ne semblent plus fournis.
En effet, seule la branche 3 de Python est supportée pour cette version de PyQt.

N'hésitez pas à réagir au sujet de ces nouvelles moutures en détaillant la ou les versions utilisées et dans quel cadre.

Source : Riverbank


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de imikado imikado - Rédacteur https://www.developpez.com
le 03/09/2013 à 23:08
Petite question, je connais Qt avec C++ et son IDE QtCreator bien pratique, existe-t-il un IDE du même acabit pour pyQt ?
Avatar de Jiyuu Jiyuu - Rédacteur/Modérateur https://www.developpez.com
le 03/09/2013 à 23:51
Oui presque.

Presque car il n'est malheureusement pas encore compatible avec PyQt5 et il n'a pas le Designer d'intégré.
Il s'agit d'Eric.

Tu trouveras un (bon ? ) tuto ici.

En ce qui concerne la compatibilité avec PyQt5 j'espère que ça va vite venir

Bonne lecture.
Avatar de imikado imikado - Rédacteur https://www.developpez.com
le 04/09/2013 à 6:08
Merci , je vais lire votre tuto
Offres d'emploi IT
Ingénieur conception en électronique de puissance H/F
Safran - Ile de France - Moissy-Cramayel (77550)
Data scientist senior H/F
Safran - Ile de France - Magny-les-Hameaux (Saclay)
Expert décisionnel business intelligence H/F
Safran - Ile de France - Évry (91090)

Voir plus d'offres Voir la carte des offres IT
Contacter le responsable de la rubrique PyQt & PySide